> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# सूची पोस्ट्स

> किसी सूची की टाइमलाइन से पोस्ट्स प्राप्त करें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

सूची पोस्ट्स एंडपॉइंट आपको किसी सूची की टाइमलाइन से पोस्ट्स प्राप्त करने की सुविधा देता है। किसी सूची के सभी सदस्यों की नवीनतम पोस्ट्स प्राप्त करें।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="सूची टाइमलाइन" icon="list">
    सूची के सदस्यों की पोस्ट्स प्राप्त करें
  </Card>

  <Card title="क्यूरेटेड फ़ीड" icon="stream">
    अपनी क्यूरेटेड सामग्री फ़ीड्स तक पहुँचें
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| विधि | एंडपॉइंट                                                | विवरण                             |
| :--- | :------------------------------------------------------ | :-------------------------------- |
| GET  | [`/2/lists/:id/tweets`](/hi/x-api/lists/get-list-posts) | किसी सूची की पोस्ट्स प्राप्त करें |

***

<div id="example-request">
  ## अनुरोध का उदाहरण
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890/tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username&\
max_results=100" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## शुरुआत करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और App](/hi/resources/fundamentals/developer-apps)
  * आपके App की [कुंजियाँ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="त्वरित शुरुआत" icon="rocket" href="/hi/x-api/lists/list-tweets/quickstart">
    किसी सूची से पोस्ट्स प्राप्त करें
  </Card>

  <Card title="इंटीग्रेशन गाइड" icon="book" href="/hi/x-api/lists/list-tweets/integrate">
    मुख्य अवधारणाएँ और सर्वोत्तम प्रथाएँ
  </Card>

  <Card title="सूची लुकअप" icon="list" href="/hi/x-api/lists/list-lookup/introduction">
    सूची का विवरण प्राप्त करें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/lists/list-tweets-lookup">
    एंडपॉइंट का पूरा दस्तावेज़
  </Card>
</CardGroup>
